/**
 *  Proof that a direct swap with a method call does not
 *  work for primitive types because of call by value.
 */
class Swap {

	static void swap(int x, int y) {
		int tmp = x;
		x = y;
		y = tmp;
	}

	public static void main(String[] args) {
		int num1 = 12;
		int num2 = -123;

		System.out.println();
		System.out.println("num1 = " + num1);
		System.out.println("num2 = " + num2);
		System.out.println();

		swap(num1,num2);

		System.out.println("After calling swap:");
		System.out.println("num1 = " + num1);
		System.out.println("num2 = " + num2);
		System.out.println();
	}
}
