/**
 * Creates and modifies objects of the class 'Point'
 */
class UsePoint {

	public static void main(String[] args) {

		// Create two instances of the type 'Point' with names p and q.
		// p should be created with red color at the coordinates (30,10),
		// q with the parameterless constructor.

		Point p = new Point(30,10,"rot");       
		Point q = new Point();

		// Move q to the coordinates (40,40)
		// and change the color of q to blue.

		q.moveTo(40,40);	
		q.setColor("blau");

		// Print out all attributes of p and q.
		System.out.println();
		System.out.println("   x-coordinate of p: " + p.getX());
		System.out.println("   y-coordinate of p: " + p.getY());
		System.out.println("          Color of p: " + p.getColor());
		System.out.println();
		System.out.println("   x-coordinate of q: " + q.getX());
		System.out.println("   y-coordinate of q: " + q.getY());
		System.out.println("          Color of q: " + q.getColor());
		System.out.println();

		// Distance of p and q
		System.out.print("p and q have a distance of ");
		System.out.println(p.distance(q) + ".");
		System.out.println();
	}
}
